var Tb3 = Titanium.UI.createTableView({
    top: 0, //6+1 - was 37
    backgroundColor: winDefaults.backgroundColor,
    data: []
});

views[3].add(Tb3);


Tb3.addEventListener('delete', function(e){
    if (e.row.id) {
        //mobile/sencha/removebookmarkitem?bk_id=
       
		//delete movie
		cleanMovie(e.row.id);
    }
    
});


Titanium.App.addEventListener('onDownloadError', function(movie){

    var id = movie.id;
    for (var i = 0; i < rows.length; i++) {
        if (rows[i].id == id) {
            rows[i].hide();
            rows[i].id = null;
        }
    }
});

var ISAndroid  = isAndroid() ? true : false;
Titanium.App.addEventListener('onDownloadProgress', function(movie){
	
	if(currentActiveItem==3){
    if (typeof currentProgress!='undefined') {
		if(currentProgress){
			if(ISAndroid){
				//left 5% for copying file
				currentProgress.value = movie.progress*0.95;
			}else{
				currentProgress.value = movie.progress; //Math.round(movie.progress*100)/100;
			}
		}
    }
	}
});

Titanium.App.addEventListener('onDownloadInit', function(movie){
	Ti.API.info("Handle download init,drawing rows...");
    drawDlRows();
});

Titanium.App.addEventListener('onDownloadComplete', function(movie){
    drawDlRows();
});

var rows = [];
//views[3] - table



var _rows;

var j = 0;

var currentProgress;
var _myDir = getDownloadDirectory();

var directory = _myDir.nativePath;
//alert("File downloaded to:"+directory);

//for android
//
var ButtonsRemoveFromDl;

var dlMgrEditingState = false;


function drawDlRows(){

	ButtonsRemoveFromDl = [];
    if (unixtime() - DBLastConnect > DBLastConnect) {
        DBLastConnect = unixtime();
        reconnectDB();
    }
    _rows = db.execute("SELECT * FROM video");
    
	rows = [];
	Ti.API.info("drawing rows procees,rows count:"+_rows.getRowCount());
    while (_rows.isValidRow()) {
    
		
        var e = parseEpisodeRow(_rows);
        Ti.API.info("Draw ros:"+e.title_ru+" ,id"+e.id+" is loaded:"+e.video_loaded);
        var row = Ti.UI.createTableViewRow();
        
        row.id = e.id;
        
        row.moviePath = directory + '/' + e.id + '.mp4';
        
        row.tableClass = 'movieEpisodes';
        
        //f/episodes/mobile/{image_id}.jpg
        
        if (j) 
            row.backgroundColor = '#EAEAEA';
        else 
            row.backgroundColor = '#FFF';
        j = !j;
        
        row.selectedBackgroundColor = row.backgroundColor;
        row.height = 82;
        
        //  alert("image:||file:"+directory + '/'+ e.id + '.jpg');
        var imgView = Ti.UI.createImageView({
            image: directory + '/' + e.id + '.jpg',
            top: 1,
            left: 5,
            height: 80,
            borderRadius: 5,
            width: 80
        });
        row.add(imgView);
        
        
        var title = Ti.UI.createLabel({
            color: '#000',
            font: {
                fontSize: 14,
                fontWeight: 'normal',
                fontFamily: 'Arial'
            },
            left: 90,
            top: 32,
            height: 21,
            width: 150,
            text: e.season_index + " сезон,  " + e.episode_index + "  серия"
        });
        row.add(title);
        
        var title2 = Ti.UI.createLabel({
            color: '#000',
            font: {
                fontSize: 16,
                fontWeight: 'normal',
                fontFamily: 'Arial'
            },
            left: 90,
            top: 2,
            height: 21,
            width: 150,
            text: e.title_ru
        });
        row.add(title2);
        
        
        if (e.video_loaded == 1) {
			row.editable = true;
            var plyButton = Ti.UI.createButton({
                        right: 50,
                        height: 28,
                        top: 35,
                        backgroundImage: '../images/play2.png',
                        backgroundSelectedImage: '../images/play2_pressed.png',
                        width: 28,
                id: e.id
            });
            row.add(plyButton);
            
            plyButton.addEventListener('click', function(e){
                if (e.source.id) {
                
                    var playVideo = directory + '/' + e.source.id + '.mp4';
                    
                    var playWin = Titanium.UI.createWindow({
                        url: 'play.js',
                        title: 'Просмотр',
                        barColor: winDefaults.barColor,
                        link: playVideo
                    });
                    
                    playWin.open({
                        transition: Ti.UI.iPhone.AnimationStyle.FLIP_FROM_LEFT
                    });
                    
                }
            });
			
	
        }
        else {
			

			currentProgress = Titanium.UI.createProgressBar({
                width: 150,
                min: 0,
                max: 1,
                value: 0,
                height: 30,
                top: 50,
                left: 90
            });

			
			
			 row.add(currentProgress);
			row.editable = false;
            
            
        }
        
        rows.push(row);
        
        
        _rows.next();
    }
	Tb3.setData(rows);
}

drawDlRows();
//video_loaded


var Back21 = Titanium.UI.createView({
    backgroundImage: '../images/edit_topbg.png',
    top: 0,
    height: 2,
	right:83
});
var Back2 = Titanium.UI.createView({
    backgroundImage: '../images/edit_bg.png',
    top: 0,
    height: 34,
	right:0,
	width:83
});

var Edit2 = Titanium.UI.createButton({
    backgroundImage: '../images/change.png',
    width: 74,
    height: 30,
    top: 2,
    right: 3
});

//for android


function drawDlButtons(){
		ButtonsRemoveFromDl = [];
		for(var i=0;i<rows.length;i++){
		
		
					if(rows[i].editable){
					Ti.API.info("ROW IS editable...");
					var delButton =  Ti.UI.createButton({
							height: 30,
							borderRadius: 5,
							bottom: 10,
							backgroundImage: '../images/delete.png',
							backgroundSelectedImage: '../images/delete_pressed.png',
							text:'Delete',
							width: 50,
							id:rows[i].id
					});
					

					
					rows[i].add(delButton);
					delButton.addEventListener('click',function(e){		
						var eId = e.source.id;
						cleanMovie(eId);
						drawDlRows();
						drawDlButtons();
						//reload local movies...
					});
					ButtonsRemoveFromDl.push(delButton);
					}else{
						ButtonsRemoveFromDl.push(null);
					}
		//	ButtonsRemoveFromDl[i].show();
		}
		dlMgrEditingState = true;	
}
function rmDlDelButtons(){
	for(var i=0;i<rows.length;i++){
		if(rows[i].editable){
			rows[i].remove(ButtonsRemoveFromDl[i]);
		}
	}
	ButtonsRemoveFromDl = [];
}
Edit2.addEventListener('click', function(){
	
	Tb3.editing = true;
	Edit2_1.show();
    Edit2.hide();
	
	//for android
	if(isAndroid()){
		drawDlButtons();
	}
	
	
});


Back2.add(Edit2);



var Edit2_1 = Titanium.UI.createButton({
    backgroundImage: '../images/cancelchange.png',
    width: 74,
    height: 30,
    top: 2,
    right: 3
});
Edit2_1.addEventListener('click', function(){
    
	Tb3.editing = false;
	Edit2_1.hide();
    Edit2.show();
  
	//for android
	if(isAndroid()){
		rmDlDelButtons();
	//	for(var i=0;i<ButtonsRemoveFromDl.length;i++){
	//		ButtonsRemoveFromDl[i].hide();
	//	}
		dlMgrEditingState = false;
	}  
	

});
Edit2_1.hide();
Back2.add(Edit2_1);



views[3].add(Back21);
views[3].add(Back2);

