

function loadHistory(){
	
	// /mobile/sencha/myhistory
	
	
	
    jsonRequest({
        url: '/mobile/sencha/myhistory',
        onSuccess: function(result){
        	
            var eps = result.rows;
            
            var j = false;
            var rows = [];
            try {
                for (var i = 0; i < eps.length; i++) {
                    var e = eps[i];
                    
                    
                    var row = Ti.UI.createTableViewRow();
                    
                    
                    row.tableClass = 'movieEpisodes';
                    

                    if (j) 
                        row.backgroundColor = '#EAEAEA';
                    else 
                        row.backgroundColor = '#FFF';
                    j = !j;
                    row.selectedBackgroundColor = row.backgroundColor;
                    row.height = 82;
                    
                    
                    var imgView = Ti.UI.createImageView({
                        image: 'http://m.horosho.tv/f/episodes/mobile/' + e.image_id + '.jpg',
                        top: 1,
                        left: 5,
                        height: 80,
                        borderRadius: 5,
                        width: 80
                    });
                    row.add(imgView);
                    
                    
                    
                    var title = Ti.UI.createLabel({
                        color: '#000',
                        font: {
                            fontSize: 14,
                            fontWeight: 'normal',
                            fontFamily: 'Arial'
                        },
                        left: 90,
                        top: 22,
                        height: 21,
                        width: 150,
                        text: e.season_index + " сезон,  " + e.episode_index + "  серия"
                    });
                    row.add(title);
                    
                    var title2 = Ti.UI.createLabel({
                        color: '#000',
                        font: {
                            fontSize: 16,
                            fontWeight: 'normal',
                            fontFamily: 'Arial'
                        },
                        left: 90,
                        top: 2,
                        height: 21,
                        width: 150,
                        text: e.movie_title
                    });
                    row.add(title2);
                    
                    var dur = Ti.UI.createLabel({
                        color: '#333',
                        font: {
                            fontSize: 12,
                            fontWeight: 'normal',
                            fontFamily: 'Arial'
                        },
                        left: 90,
                        top: 45,
                        height: 16,
                        width: 100,
                        text: e.duration
                    });
                    row.add(dur);
                    
					
                    var plyButton = Ti.UI.createButton({
                        right: 50,
                        height: 28,
                        top: 35,
                        backgroundImage: '../images/play2.png',
                        backgroundSelectedImage: '../images/play2_pressed.png',
                        width: 28,
                        id: e.id
                    });
                    row.add(plyButton);
                    
                    plyButton.addEventListener('click', function(e){
                        if (e.source.id) {
                        
                            playVideo(e.source.id);
                            //   	alert('playing video #'+e.source.id);
                        
                        }
                    });
                    
                    var dlButton = Ti.UI.createButton({
                        right: 5,
                        height: 28,
                        top: 35,
                        backgroundImage: '../images/download2.png',
                        backgroundSelectedImage: '../images/download2_pressed.png',
                        width: 28,
                        id: e.id
                    });
                    if (!isLoggedIn()) {
                    //    dlButton.enabled = false;
                    }
                    
                    dlButton.addEventListener('click', function(e){
						//	showWarning("Dl clicked:"+e.source.id);
						if (e.source.id) {
								
                            download(e.source.id);
                            
                        }
                    });
                    row.add(dlButton);
                    
                    
                    rows.push(row);
                    
                    
                    
                }
            }
            catch (e) {
                alert(e.message);
            }
            
            
            
            views[0].setData(rows);
            
        }
    });
	
}



if (isLoggedIn()) {
	loadHistory();
}

