var win = Titanium.UI.currentWindow;

win.orientationModes = [Titanium.UI.PORTRAIT, Titanium.UI.UPSIDE_PORTRAIT, Titanium.UI.LANDSCAPE_LEFT, Titanium.UI.LANDSCAPE_RIGHT, Titanium.UI.FACE_UP, Titanium.UI.FACE_DOWN];
var videoLink = win.link;
var contentURL = videoLink;


if (Ti.Platform.name == 'android') {
	contentURL = videoLink.replace("play/","play/"+Titanium.App.Properties.getString("SESSID")+"/");
}
 Titanium.API.info("open video:"+contentURL);

    var activeMovie = Titanium.Media.createVideoPlayer({
        url: contentURL,
        backgroundColor: '#111',
        movieControlMode: Titanium.Media.VIDEO_CONTROL_DEFAULT,
        /*scalingMode:Titanium.Media.VIDEO_SCALING_MODE_FILL,*/
        fullscreen: true
    });
    
    
    if (parseFloat(Titanium.Platform.version) >= 3.2) {
        win.add(activeMovie);
    }
    
    var windowClosed = false;
    
    activeMovie.addEventListener('complete', function(){
        //	if (!windowClosed)
        //	{
        //	Titanium.UI.createAlertDialog({title:'Movie', message:'Completed!'}).show();
        //	}
        win.close();
    });
    
    
    activeMovie.addEventListener('fullscreen', function(e){
        if (!e.entering) {
            win.close();
        }
    });
    try {
        activeMovie.play();
    } 
    catch (e) {
        alert(e.message);
        win.close();
        ;
    }
    win.addEventListener('close', function(){
        if (!windowClosed) {
            windowClosed = true;
            //		alert("Window closed");
            activeMovie.stop();
        }
    })

