
/**
 * /tools/emulator -avd titanium_2_WVGA854 -port 5560 -sdcard ~/.titanium/android2.sdcard -logcat ‘*:d *’ -no-boot-anim -partition-size 128 -scale 0.7
 *
 *
 * /Users/KUKU/Downloads/android-sdk-mac_x86/tools/emulator -avd titanium_7_HVGA -port 5560 -sdcard /Users/KUKU/.titanium/android2.sdcard -logcat '*:d *' -no-boot-anim -partition-size 256 -scale 0.7
 *
 *
 * left is:
 *
 *
 
 keytool -genkey -v -keystore horoshotv.keystore  -alias horoshotv -keyalg RSA -keysize 2048 -validity 10000
 */
Titanium.include("../lib/defaults.js", "../lib/profile.js", "../lib/movielist.js");

var win = Titanium.UI.currentWindow;
win.backgroundColor = '#000';

function onInfoClicked(){

    showPage('http://horosho.tv/mobile/sencha/about');
}

if (Ti.Platform.osname == 'android') {

    var Footer = Ti.UI.createView({
        height: 45,
        backgroundImage: '../images/headbg.png',
        bottom: 0
    });
    
    var title = Ti.UI.createLabel({
        color: '#FFF',
        font: {
            fontSize: 20,
            fontWeight: 'normal',
            fontFamily: 'Arial'
        },
        shadowColor: '#222',
        shadowOffset: {
            x: 0,
            y: -1
        },
        top: 0,
        height: 45,
        text: 'HoroshoTV',
        width: 320,
        textAlign: 'center'
    });
    Footer.add(title);
    
    var infolight = Titanium.UI.createButton({
        width: 18,
        height: 19,
        backgroundImage: '../images/info.png',
        right: 5,
        top: 12
    });
    Footer.add(infolight);
    
    
    infolight.addEventListener('click', onInfoClicked);
    
    win.add(Footer);
}
else {

    var infolight = Titanium.UI.createButton({
        systemButton: Titanium.UI.iPhone.SystemButton.INFO_LIGHT
    });
    
    win.rightNavButton = infolight;
    
    infolight.addEventListener('click', onInfoClicked);
    
}



var scheight = (Titanium.Platform.osname == 'ipad') ? 580 : 280;
var scrollView = Titanium.UI.createScrollableView({
    views: [],
    showPagingControl: true,
    pagingControlHeight: 30,
    maxZoomScale: 2.0,
    currentPage: 1,
    height: scheight,
    top: 0,
    backgroundColor: '#000000'
});


win.add(scrollView);

var recent = [];

var featured = [];
var scrollviews;

var sViews = [];
function loadInfo(){

    jsonRequest({
        url: '/mobile/sencha/homescreen',
        onSuccess: function(r){
            recent = r.recent;
            featured = r.featured;
			
            for (var i = 0; i < sViews.length; i++) {
                scrollView.removeView(sViews[i]);
            }
            
            sViews = [];
            //removeView
            for (var i = 0; i < featured.length; i++) {
                var sView = Titanium.UI.createView({
                    top: 0,
                    height: (Titanium.Platform.osname == 'ipad') ? 550 : 250
                
                });
				
                sViews.push(sView);
                
                var img = Titanium.UI.createImageView({
                    image: 'http://m.horosho.tv/f/movies/big/' + featured[i]['id'] + '.jpg',
                    top: 0,
                    height: 250,
                    width: 450
                });
                sView.add(img);
                var lH = (Titanium.Platform.osname != 'ipad') ? 20 : 260;
                var lW = (Titanium.Platform.osname != 'ipad') ? 30 : 90;
                
				
                var Label = Ti.UI.createLabel({
                    color: '#FFF',
                    font: {
                        fontSize: 20,
                        fontWeight: 'bold',
                        fontFamily: 'Arial'
                    },
                    shadowColor: '#000',
                    shadowOffset: {
                        x: 0,
                        y: -1
                    },
                    top: lH,
                    left: lW,
                    height: 'auto',
                    text: featured[i]['title_ru']
                });
                sView.add(Label);
                
                if (Titanium.Platform.osname == 'ipad') {
                
                    var dLabel = Ti.UI.createLabel({
                        color: '#FFF',
                        font: {
                            fontSize: 16,
                            fontWeight: 'normal',
                            fontFamily: 'Arial'
                        },
                        shadowColor: '#000',
                        shadowOffset: {
                            x: 0,
                            y: -1
                        },
                        top: 280,
                        width: 560,
                        height: 'auto',
                        text: featured[i]['descr_ru']
                    });
                    sView.add(dLabel);
                    
                }
				
                var Button = Titanium.UI.createButton({
                    backgroundImage: '../images/watch.png',
                    width: 74,
                    height: 30,
                    bottom: 20,
                    right: 15,
                    id: featured[i]['id'],
                    mTitle: featured[i]['title_ru']
                });
                sView.add(Button);
                
                Button.addEventListener('click', function(e){
                
                    if (e.source.id) {
                        openMoviePage(e.source.id, e.source.mTitle);
                    }
                });
                
                scrollView.addView(sView);
            }
			scrollView.currentPage = 1;
            
            
        }
    });
    
}

try {
	loadInfo();
}catch(e){
	alert(e.message);
}

//3 buttons

// [recent uploads]    [news]      [in the internet]         [FAQ]

//in the internet:			[vkontakte|facebook|twitter]
/**
 * Iphone only
 */
win.title = 'HoroshoTV';

var Button = Titanium.UI.createButton({
    title: 'change user State',
    width: 278,
    height: 46,
    top: 85
});
//win.add(Button);

Button.addEventListener('click', function(e){

    var uid = Titanium.App.Properties.getString("UID") * 1;
    if (uid) {
        Titanium.App.Properties.setString("UID", "0");
    }
    else {
        Titanium.App.Properties.setString("UID", "100");
    }
    Titanium.App.fireEvent('onProfileStateChanged');
    
});


var _bottom = (Ti.Platform.osname == 'android') ? 45 : 0;
var _height = (Ti.Platform.osname == 'android') ? 75 : 90;

if (Titanium.Platform.osname == 'ipad' || Titanium.Platform.displayCaps.platformHeight > 600) {
    var _height = 75;
}

var buttonView = Ti.UI.createView({
    height: _height,
    bottom: _bottom
});
if (Ti.Platform.osname == 'android') {
    buttonView.backgroundImage = '../images/startbg.png';
}
else {
    buttonView.backgroundGradient = {
        type: 'linear',
        colors: ['#111', '#444'],
        startPoint: {
            x: 0,
            y: 0
        },
        endPoint: {
            x: 2,
            y: 100
        },
        backFillStart: false
    };
}
var buttonsInfo = [];
var recentWin;
buttonsInfo.push({
    title: 'Обновления',
    width: 100,
    onclick: function(){
    
    
    
        if (recent.length > 0) {
            //["id","title_ru","episode_index","season_index","descr_ru","publish_date"]
            
            
            recentWin = Titanium.UI.createWindow({
                navBarHidden: false,
                backgroundColor: winDefaults.backgroundColor,
                barColor: winDefaults.barColor,
                title: 'Обновления'
            });
            
            Ti.include('../views/recent.js');
            
            if (!tab) {
                var tab = Titanium.UI.currentTab;
            }
            
            tab.open(recentWin, {
                animated: true
            });
            
        }
        
    }
});
buttonsInfo.push({
    title: 'Блог',
    width: 60,
    onclick: function(){
    	showPage('http://horoshotv.tumblr.com/mobile');
    }
});

buttonsInfo.push({
    title: 'В интернете',
    width: 90,
    onclick: function(){
    	showPage('http://horosho.tv/mobile/sencha/external');
    }
});

buttonsInfo.push({
    title: 'FAQ',
    width: 50,
    onclick: function(){
        showPage('http://horosho.tv/mobile/sencha/faq');
    }
});
var buttonsFrame = Ti.UI.createView({
	top: (Titanium.Platform.displayCaps.platformWidth > 600) ? 0 : 30 ,
	width : (Titanium.Platform.displayCaps.platformWidth > 600) ? 332 : 312,
	height:32,
	layout: 'horizontal'
});
//Titanium.Platform.displayCaps.platformWidth
for (var i = 0; i < buttonsInfo.length; i++) {
	var left = 4;
	if(Titanium.Platform.displayCaps.platformWidth > 600){
		left=10;
	}
	if(i==0) left = 0;
	

    var b = Titanium.UI.createLabel({
        text: buttonsInfo[i]['title'],
        width: buttonsInfo[i]['width'],
        height: 32,
        borderColor: '#111',
        borderRadius: 6,
        textAlign: 'center',
        borderWidth: 1,
        color: '#FFF',
        font: {
            fontSize: 14,
            fontWeight: 'normal',
            fontFamily: 'Arial'
        },
        shadowColor: '#111',
        shadowOffset: {
            x: 0,
            y: -1
        },
        top: 0,
        left: left,
        index: i
    });
    
    
    if (Ti.Platform.osname == 'android') {
        b.backgroundImage = '../images/startbuttonbg.png';
    }
    else {
        b.backgroundGradient = {
            type: 'linear',
            colors: ['#444', '#000001'],
            startPoint: {
                x: 0,
                y: 0
            },
            endPoint: {
                x: 2,
                y: 40
            },
            backFillStart: false
        };
    }
    
    b.addEventListener('click', function(e){
        buttonsInfo[e.source.index].onclick();
    });
    buttonsFrame.add(b);
    
    
}
buttonView.add(buttonsFrame);
win.add(buttonView);



Titanium.App.addEventListener('onRefreshDB', function(movie){
    loadInfo();
});

