//recentWin

//["id","title_ru","episode_index","season_index","descr_ru","publish_date"]

//featured


var recentTable = Titanium.UI.createTableView({
    top: 0,
    backgroundColor: winDefaults.backgroundColor
});

recentTable.addEventListener('click', function(e){
    if (e.rowData.movieId) {
        openMoviePage(e.rowData.movieId, e.rowData.movieTitle);
    }
});

recentWin.add(recentTable);

var rows;


function renderFeatured(){

    rows = [];
	
    for (var i = 0; i < recent.length; i++) {
  
  		
		
		
		var mItem = recent[i];
		

		var row = Ti.UI.createTableViewRow();
		
		row.tableClass = 'movieItems';
		
		
		row.BackgroundColor = '#EAEAEA';
		
		//row.selectedBackgroundColor = '#EAEAEA';
		
		row.height = 82;
		
		row.movieId = mItem.id;
		row.movieTitle = mItem.title_ru;
		
		
		row.hasChild = !isAndroid();
		
		var imgView = Ti.UI.createImageView({
			image: 'http://m.horosho.tv/f/movies/mobile/'+mItem.id+'.jpg',
			top: 1,
			left: 5,
			height: 80,
			width: 80
		});
		row.add(imgView);
		
		//discount
		var title = Ti.UI.createLabel({
			color: '#000',
			font: {
				fontSize: 16,
				fontWeight: 'normal',
				fontFamily: 'Arial'
			},
			left: 95,
			top: 2,
			height: 22,
			width: 200,
			text: mItem.title_ru
		});
		row.add(title);
		
		var title2 = Ti.UI.createLabel({
			color: '#000',
			font: {
				fontSize: 14,
				fontWeight: 'normal',
				fontFamily: 'Arial'
			},
			left: 95,
			top: 20,
			height: 22,
			width: 200,
			text: mItem.season_index+" сезон, "+mItem.episode_index+" серия (от "+mItem.publish_date+")"
		});
		row.add(title2);		
		
		

		
		var stuff = Ti.UI.createLabel({
			color: '#222',
			font: {
				fontSize: 12,
				fontWeight: 'normal',
				fontFamily: 'Arial'
			},
			left: 95,
			top: 56,
			height: 24,
			width: 200,
			text: mItem.descr_ru
		});
		row.add(stuff);			
		
		rows.push(row);		
		
		  
    
    }
	recentTable.setData(rows);
    
}


renderFeatured();

