Titanium.include("../lib/defaults.js","../lib/profile.js","../lib/movielist.js");

var win = Titanium.UI.currentWindow;

var tab = Titanium.UI.currentTab;

win.title = 'Серии';

var seasonIndex = win.seasonIndex;
var movieId = win.movieId;
//["id","episode_index","duration","end_date","image_id"]

var rows = [];
var dlButtons = [];
jsonRequest({
    url: '/mobile/sencha/season?season=' + seasonIndex + '&movie=' + movieId,
    onSuccess: function(result){
        var eps = result.rows;
		var j=false;
        for (var i = 0; i < eps.length; i++) {
            var e = eps[i];
            
            
            var row = Ti.UI.createTableViewRow();
            
           
            row.tableClass = 'movieEpisodes';
            
            //f/episodes/mobile/{image_id}.jpg
            
            if (j)
				row.backgroundColor = '#EAEAEA';
			else
				row.backgroundColor = '#FFF';
			j = !j;
			row.selectedBackgroundColor = row.backgroundColor;
            row.height = 82;
            
            
            var imgView = Ti.UI.createImageView({
                image: 'http://m.horosho.tv/f/episodes/mobile/' + e.image_id + '.jpg',
                top: 1,
                left: 5,
                height: 80,
				borderRadius:5,
                width: 80
            });
            row.add(imgView);
            
            
            
            var title = Ti.UI.createLabel({
                color: '#000',
                font: {
                    fontSize: 16,
                    fontWeight: 'normal',
                    fontFamily: 'Arial'
                },
                left: 90,
                top: 2,
                height: 21,
                width: 150,
                text: e.episode_index + "  серия"
            });
            row.add(title);
			
            var dur = Ti.UI.createLabel({
                color: '#333',
                font: {
                    fontSize: 12,
                    fontWeight: 'normal',
                    fontFamily: 'Arial'
                },
                left: 90,
                top: 25,
                height: 16,
                width: 100,
                text: e.duration
            });
            row.add(dur);			
            
            var plyButton = Ti.UI.createButton({
                        right: 50,
                        height: 28,
                        top: 35,
                backgroundImage: '../images/play2.png',
                backgroundSelectedImage: '../images/play2_pressed.png',
                width: 28,
				id:e.id
            });
            row.add(plyButton);
			
			plyButton.addEventListener('click', function(e){
			    if (e.source.id) {
			    
					playVideo(e.source.id);
			    //   	alert('playing video #'+e.source.id);
							
			    }
			});
			
            var dlButton = Ti.UI.createButton({
                        right: 5,
                        height: 28,
                        top: 35,
                backgroundImage: '../images/download2.png',
                backgroundSelectedImage: '../images/download2_pressed.png',
                width: 28,
				id:e.id
            });
			if(!isLoggedIn()){
				if(!isAndroid())
					dlButton.enabled = false;
				
			}
			dlButtons.push(dlButton);
			
			dlButton.addEventListener('click', function(e){
			    if(isAndroid() && !isLoggedIn()){
					showWarning('Для загрузки видео необходима авторизация.');
					return;
				}
				
				if (e.source.id) {
			    	download(e.source.id);
			    //   	alert('Downloading video #'+e.source.id);
							
			    }
			});			
            row.add(dlButton);			
            

            rows.push(row);
            
            
            
        }
		view.setData(rows);
		detachLoader(win); 
    }
});


		attachLoginEvent(function(uid){
			if(isAndroid()) return;
			if(uid){
				for(var i=0;i<dlButtons.length;i++){
					dlButtons[i].enabled = true;
				}

			}else{
				for(var i=0;i<dlButtons.length;i++){
					dlButtons[i].enabled = false;
				}				
			}
		});
var view = Titanium.UI.createTableView({
    top: 0,
    backgroundColor: winDefaults.backgroundColor
});

win.add(view);
attachLoader(win , 0 , 100);
