Titanium.include("../lib/defaults.js","../lib/profile.js");

var win = Titanium.UI.currentWindow;

var tab = Titanium.UI.currentTab;

win.title = 'Сезоны';

var seasons = win.seasons;
var movieId = win.movieId;

//season_index , start_date, num_episodes_text
var rows = [];
var j = false;
for (var i in seasons) {

    var season = seasons[i];
    
    var row = Ti.UI.createTableViewRow();
    
    row.height = 50;
    
    row.tableClass = 'movieSeasons';
    
    if (j)
		row.backgroundColor = '#EAEAEA';
	else
		row.backgroundColor = '#FFF';
	j = !j;    
    
  //  row.BackgroundColor = '#FAFAFA';
    
    row.seasonIndex = season.season_index;
    

    row.hasChild = true;
    
    var title = Ti.UI.createLabel({
        color: '#000',
        font: {
            fontSize: 16,
            fontWeight: 'normal',
            fontFamily: 'Arial'
        },
        left: 10,
        top: 2,
        height: 21,
        width: 260,
        text: season.season_index + " сезон"
    });
    row.add(title);
    
    var year = Ti.UI.createLabel({
        color: '#333',
        font: {
            fontSize: 12,
            fontWeight: 'normal',
            fontFamily: 'Arial'
        },
        left: 10,
        top: 25,
        height: 16,
        width: 130,
        text: "Год:" + season.start_date + " - " + season.end_date
    });
    row.add(year);
    
    var ep_num = Ti.UI.createLabel({
        color: '#333',
        font: {
            fontSize: 12,
            fontWeight: 'normal',
            fontFamily: 'Arial'
        },
        left: 130,
        top: 25,
        textAlign: 'right',
        height: 16,
        width: 130,
        text: season.num_episodes_text
    });
    
    row.add(ep_num);
    rows.push(row);
    
}

var view = Titanium.UI.createTableView({
    top: 0,
    backgroundColor: winDefaults.backgroundColor,
    data: rows
});

win.add(view);


view.addEventListener('click', function(e){
    if (e.rowData.seasonIndex) {
    
        //show genre-list event
        var eWin = Titanium.UI.createWindow({
            url: 'movieepisodes.js',
            backgroundColor: winDefaults.backgroundColor,
            barColor: winDefaults.barColor,
			movieId:movieId,
			seasonIndex:e.rowData.seasonIndex
        });
		
	 	tab.open(eWin, {
	 		animated: true
	 	});	
				
    }
});

