
Titanium.include("../lib/defaults.js","../lib/profile.js","../lib/movielist.js");

var win = Titanium.UI.currentWindow;

var tab = Titanium.UI.currentTab;


var searchBar = Titanium.UI.createSearchBar({
    barColor:winDefaults.barColor, 
    showCancel:true,
    height:43,
    top:0
});

win.add(searchBar);


searchBar.addEventListener('cancel',function(){
	searchBar.blur();
	searchBar.value='';
});

searchBar.addEventListener('return',function(){
	
	attachLoader(win, 43, 60,1);
	searchBar.blur();
	var key = searchBar.value;
	jsonRequest({
	    url: '/mobile/sencha/search?keyword='+key+'&no_hl=1',
	    onSuccess: function(response){
	    
	        var content = response.rows;
	        var _rows = drawMovieRows(content);
	        setTimeout(function(){
				view.setData(_rows);
	        },500);
			setTimeout(function(){detachLoader(win);},500);
			
	    },
	    onError: function(){
			detachLoader(win);
			
	    }
	});

	
});
var view = Titanium.UI.createTableView({
    top: 43,
    backgroundColor: winDefaults.backgroundColor,
    data: []
});

view.addEventListener('click', function(e){
    if (e.rowData.movieId) {
		openMoviePage(e.rowData.movieId,e.rowData.movieTitle);
    }
});

win.add(view);

